#Contribute To Advance Login Style

Community made patches, localisations, bug reports and contributions are very welcome and help make Advance Login Style the #1 Login Style Changer Plugin for WordPress.

When contributing please ensure you follow the guidelines below so that we can keep on top of things.

__Please Note:__ GitHub is for bug reports and contributions only - if you have a support question or a request for a customisation don't post here, go to our [Support Forum](http://wordpress.org/support/plugin/advance-login-style/) instead.


## Getting Started

* Submit a ticket for your issue, assuming one does not already exist.
  * Raise it on our [Issue Tracker](https://github.com/pluginsbazaar/advance-login-style/issues)
  * Clearly describe the issue including steps to reproduce the bug.
  * Make sure you fill in the earliest version that you know has the issue as well as the version of WordPress you're using.

## Making Changes

* Fork the repository on GitHub
* Make the changes to your forked repository
  * Ensure you stick to the [WordPress Coding Standards](http://codex.wordpress.org/WordPress_Coding_Standards) and have properly documented any new functions.
* When committing, reference your issue (if present) and include a note about the fix.
* Push the changes to your fork and submit a pull request to the 'master' branch of the Advance Login Style repository.

## Code Documentation

* We ensure that every Advance Login Style function is documented well and follows the standards set by phpDoc.
* An example function can be found [here](https://github.com/pluginsbazaar/advance-login-style/blob/master/advance_login_style-inc/advance_login_style-functions.php)
* Please make sure that every function is documented so that other contributor can easily understand function working. 
* Finally, please use tabs and not spaces. The tab indent size should be 8 for all Advance Login Style code.

At this point you're waiting on us to merge your pull request. We'll review all pull requests, and make suggestions and changes if necessary.

# Additional Resources
* [General GitHub Documentation](http://help.github.com/)
* [GitHub Pull Request documentation](http://help.github.com/send-pull-requests/)
